EDIT - feature request #4719

[MASTER] Implement IntextReference
03/18/2015 05:12 PM - Andreas Mdller

Status: New Start date:

Priority: Priority12 Due date:

Assignee: Andreas Muller % Done: 46%
Category: cdmlib Estimated time: 0:00 hour
Target version: Unassigned CDM tickets

Severity: normal

Description

IntextReference is available now (#4706). However, we still need to add listeners, deduplicaters etc to be able to use it correctly.

Ofcourse we also need a userinterface that supports inline references and the dataportal needs to support them

Subtasks:
feature request # 4706: Create IntextReference Closed
bug # 6459: Implement deduplication for IntextReferences Closed
feature request # 6472: Include keys as target for IntextReferences Closed
feature request # 6485: Implement IntextReferences in TaxEditor In Progress
feature request # 6486: Implement handling of IntextReferences in dataportal New
bug # 6511: Handling of objects being referenced in a InTextReference during deleting Rejected
feature request # 6834: [DISCUSS] add inner text to Intextreference or other ideas for ... New
feature request # 7637: Handle intext references in CDM light In Progress
Related issues:
Related to EDIT - feature request #6270: Feature Description, customized orde... New
Related to EDIT - feature request #8673: Allow OriginalSource to link to othe... Closed
Has duplicate EDIT - feature request #6514: [Master] Implement IntextReferences Duplicate
History
#1 - 05/02/2016 04:50 PM - Andreas Miiller
- Target version changed from CDM UML 3.3/3.4 - Postprocessing to Unassigned CDM tickets
#3 - 03/09/2017 04:47 PM - Andreas Miiller
- Related to bug #6459: Implement deduplication for IntextReferences added
#4 - 03/09/2017 05:02 PM - Andreas Miiller
- Related to feature request #6486: Implement handling of IntextReferences in dataportal added
#5 - 03/09/2017 05:02 PM - Andreas Miiller
- Related to feature request #6485: Implement IntextReferences in TaxEditor added
#6 - 03/09/2017 05:04 PM - Andreas Miiller
- Related to feature request #4706: Create IntextReference added
#7 - 03/09/2017 05:05 PM - Andreas Miiller
- Related to feature request #6472: Include keys as target for IntextReferences added
#8 - 03/15/2017 03:59 PM - Andreas Miiller
- Description updated
- Parent task set to #6514
#9 - 03/15/2017 04:00 PM - Andreas Miiller
- Private changed from Yes to No
#10 - 03/15/2017 04:02 PM - Andreas Miiller
- Subject changed from [3.5] Implement IntextReference to [MASTER] Implement IntextReference

#11 - 03/15/2017 04:04 PM - Andreas Miiller
- Parent task deleted (#6514)

#12 - 03/15/2017 04:04 PM - Andreas Miiller

- Has duplicate feature request #6514: [Master] Implement IntextReferences added

#14 - 09/25/2017 11:55 AM - Andreas Miiller

- Related to feature request #6270: Feature Description, customized order, granular references added

#15 - 11/11/2019 11:33 PM - Andreas Miiller
- Related to feature request #8673: Allow OriginalSource to link to other CDM objects added
